net.i2p.router

## Enum TunnelTestStatus

- java.lang.Object
- - java.lang.Enum<TunnelTestStatus>
  - - net.i2p.router.TunnelTestStatus

- All Implemented Interfaces:
    Serializable, Comparable<TunnelTestStatus>

      public enum TunnelTestStatus
      extends Enum<TunnelTestStatus>

  Test status for tunnel testing display

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED`
    `FAILING`
    `GOOD`
    `TESTING`
    `UNTESTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TunnelTestStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TunnelTestStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final TunnelTestStatus FAILED

    - #### FAILING

          public static final TunnelTestStatus FAILING

    - #### GOOD

          public static final TunnelTestStatus GOOD

    - #### TESTING

          public static final TunnelTestStatus TESTING

    - #### UNTESTED

          public static final TunnelTestStatus UNTESTED

  - ### Method Detail

    - #### valueOf

          public static TunnelTestStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static TunnelTestStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TunnelTestStatus c : TunnelTestStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared